2017-06-11 23:04:25 markximo 阅读数 8729

1. DeviceOSVersionTooLow
打包成功后,使用第三方工具安装提示此错误信息,或者iTunes提示安装版本过低,是因为打包时候指向的IOS版本比固件的实际版本要高,所以只要修改Xcode配置即可。
TARGETS——Deployment Info——Deployment Target(设置一个较低版本即可)
例如:我已知未来固件的IOS版本普遍在9.3以上,我就可以指定9.3,这样向下兼容。

2019-11-26 11:52:36 weixin_44514665 阅读数 12

场景

在实际的APP开发中,需要针对Android机和IOS机子进行测试。
打包APP测试包可以看教程 用Hbuild打包APP
安装Android的安卓apk包,可以直接下载安装到手机就可以了。
但是要安装iOSipa包,需要准备一个安装好xcode的mac机,具体步骤如下

安装Xcode

  1. 在APP store中安装
    在Mac任务栏中打开App store , 然后在App store中搜索xcode , 有个锤子图标的就是集成的开发环境Xcode,占用空间较大,要评估硬盘容量。
    点击下载,下载成功之后,安装即可;如果已经下载会出现更新提示
  2. 在苹果开发者网站下载
    除了App store 之外,还可以通过苹果的开发者网站下载地址,打开后搜索xcode
    登陆苹果账户 点击download下载即可

安装iOS测试包步骤

  • 第一步:打开launchpad
    第一步打开launchpad
  • 第二步:然后找到xcode,打开xcode
    在这里插入图片描述
  • 第三步:打开Xcode之后新建项目,若已有项目则可以跳过这一步
    第一次使用Xcode时会显示欢迎界面,下次不需要显示这个界面的话可以取消勾选最下方显示此界面的复选框。打开xcode之后
    新建一个plarground项目
    在这里插入图片描述
    在这里插入图片描述在这里插入图片描述
  • 第四步:创建成功之后,打开 window-> Devices and Simulators(设备和模拟器)
    打开Devices and Simulators
  • 第五步:然后用USB 连接iOS机和mac机(需要在苹果机上解锁授权)
    在这里插入图片描述
    在这里插入图片描述
    在这里插入图片描述
    在这里插入图片描述
    在这里插入图片描述
    version表示 应用版本号;identifier 表示的是Bundle ID(Appid)
    以上步骤完成之后就成功安装上了

注意:

  • 安装的ipa 如果使用的是相同的开发证书,则低版本会被替代
  • 不能降级安装测试包包
  • 发布证书打包的ipa包不能安装在测试机上
  • 生成证书的时候如果没有配置设备的话,也不能成功安装
  • 生成证书时需配置当前设备信息,这样才可以安装这个证书打包出来的APP
2016-05-23 18:46:47 z905951024 阅读数 1035

废话不多说,直接上图:

选择“项目”>target>General



ios对图片的尺寸有严格要求,参考:

Icon and Image Sizes

Launch Images

完!

2018-09-27 23:27:34 BADAO_LIUMANG_QIZHI 阅读数 2230

在XCode中upload到App Store时会提示没有App icon会无法传过去构建版本。

修改ios app图标的位置:

1.找到Xcode下的General

 

2.往下拉找到App Icons and Launch Images  下的App Icons Source  ,然后点击向右的小箭头

3.进去之后,需要很多种不同尺寸的图标。

直接将照片拖拽过去就可以替换掉

如果尺寸不对会有一个小!

可以先随便拖拽一个,然后查看小!提示的尺寸,然后拖拽正确的图标照片

 

 

2017-05-10 11:44:42 jiaxin_1105 阅读数 1862

本篇文章主要介绍了"iOS 上传App Store提示WARNING ITMS-90703错误的说明 ",主要涉及到iOS 上传App Store提示WARNING ITMS-90703错误的说明 方面的内容,对于iOS 上传App Store提示WARNING ITMS-90703错误的说明 感兴趣的同学可以参考一下。






今天上传app到appstore的时候,上传到最后一步的时候,报了一个警告:

原文如下:

WARNING ITMS-90703: "Deprecated Xcode Build. Due to resolved app archives issues, we will be deprecating Xcode 8.3 on May 10, 2017, at which time app archives built with 8.3 will no longer be accepted by the App Store. Download Xcode 8.3.2 or newer, rebuild your app and resubmit."


大意如下:

截止2017.5.10  ,Xcode必须升级到最低8.3.2版本,否则提交上传的app将不予通过。

其实,这个警告是不影响app上传的,只是苹果给的一个提示而已,app照样能在itunes网站上看到。

不过大家以后对Xcode有新版本更新,及时更新就行了。。。



没有更多推荐了,返回首页